Bug 171625 - "invalid sparse archive member" when extracting tars
Summary: "invalid sparse archive member" when extracting tars
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tar (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard: RHEL4U3NAK
Keywords:
Depends On:
Blocks: 187538
TreeView+ depends on / blocked
 
Reported: 2005-10-24 15:17 UTC by Josh Kelley
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0336
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 21:45:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0336 normal SHIPPED_LIVE tar bug fix update 2006-05-03 04:00:00 UTC

Description Josh Kelley 2005-10-24 15:17:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Using tar to extract tar files created within Amanda often gives the following errors:
tar: ./filename: invalid sparse archive member
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers

This causes problems when restoring backups from Amanda.

This has been reported against Fedora Core in bug 143969 and bug 146314 but has not yet been fixed (as far as I can tell) in RHEL.

Version-Release number of selected component (if applicable):
tar-1.14-8.RHEL4.i386

How reproducible:
Always

Steps to Reproduce:
1. Create an Amanda backup.
2. Try to restore it: amrestore -p /dev/nst0 server /home | tar xvf - 

  

Actual Results:  Error message:
tar: ./filename: invalid sparse archive member
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers


Expected Results:  Successful restore.

Additional info:

Comment 9 Red Hat Bugzilla 2006-05-03 21:45:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0336.html



Note You need to log in before you can comment on or make changes to this bug.